package esac.archive.ehst.common.constants.client;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

public enum SpectraFamilyType {
    /** Spectrum. */
    TIME_RESOLVED_SPECTROSCOPY_1D("1D time resolved spectroscopy"),
    /** Spectrum. */
    SPECTROPOLARIMETRY_1D("1D spectropolarimetry"),
    /** Spectrum. */
    SPECTROSCOPY_1D("1D spectroscopy"),
    /** HLA Spectrum */
    HLA("hla");

    private static final Map<String, SpectraFamilyType> dataTypeMap = new HashMap<String, SpectraFamilyType>();

    static {
        for (SpectraFamilyType dataType : EnumSet.allOf(SpectraFamilyType.class)) {
            dataTypeMap.put(dataType.displayValue, dataType);
        }
    }
    /** Display value on the Web. */
    private final String displayValue;

    /**
     * Constructor.
     * @param displayValue
     */
    SpectraFamilyType(String displayValue) {
        this.displayValue = displayValue;
    }

    public String getDisplayValue() {
        return this.displayValue;
    }

    public static SpectraFamilyType get(String displayValue) {
        return dataTypeMap.get(displayValue);
    }

    @Override
    public String toString() {
        return this.getDisplayValue();
    }
}
